# BypassSpeedChanceAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class BypassSpeedChanceAbAttr

If a Pokémon with this Ability selects a damaging move, it has a 30% chance of going first in its priority bracket. If the Ability activates, this is announced at the start of the turn (after move selection).

#### Hierarchy (View Summary)

- AbAttr
  - BypassSpeedChanceAbAttr

- Defined in src/data/ability.ts:5192

##### Index

### Constructors

constructor

### Properties

chance
showAbility

### Methods

addCondition
apply
canApply
getCondition
getTriggerMessage

## Constructors

### constructor

- new BypassSpeedChanceAbAttr(chance: number): BypassSpeedChanceAbAttr

  #### Parameters

  - chance: number

    probability of ability being active.

  #### Returns BypassSpeedChanceAbAttr

  Overrides AbAttr.constructor

  - Defined in src/data/ability.ts:5198

## Properties

### chance

chance: number

- Defined in src/data/ability.ts:5193

### showAbility

showAbility: boolean

Inherited from AbAttr.showAbility

- Defined in src/data/ability.ts:184

## Methods

### addCondition

- addCondition(condition: AbAttrCondition): AbAttr

  #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from AbAttr.addCondition

  - Defined in src/data/ability.ts:209

### apply

- apply(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  cancelled: BooleanHolder ,
  args: any[],
  ): void

  bypass move order in their priority bracket when pokemon choose damaging move

  #### Parameters

  - pokemon: default

    `Pokemon` the Pokemon applying this ability

  - passive: boolean

    N/A

  - simulated: boolean
  - cancelled: BooleanHolder

    N/A

  - args: any[]

    [0] `Utils.BooleanHolder` set to true when the ability activated

  #### Returns void

  Overrides AbAttr.apply

  - Defined in src/data/ability.ts:5219

### canApply

- canApply(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  args: any[],
  ): boolean

  Returns a boolean describing whether the ability can be applied under current conditions

  #### Parameters

  - pokemon: default

    The pokemon to apply this ability to

  - passive: boolean

    Whether or not the ability is a passive

  - simulated: boolean

    Whether the call is simulated

  - args: any[]

    Extra args passed to the function. Handled by child classes.

  #### Returns boolean

  `true` if the ability can be applied, `false` otherwise

  #### See

  `apply`

  Overrides AbAttr.canApply

  - Defined in src/data/ability.ts:5203

### getCondition

- getCondition(): null | AbAttrCondition

  #### Returns null | AbAttrCondition

  Inherited from AbAttr.getCondition

  - Defined in src/data/ability.ts:205

### getTriggerMessage

- getTriggerMessage(pokemon: default , abilityName: string, ...args: any[]): string

  #### Parameters

  - pokemon: default
  - abilityName: string
  - ...args: any[]

  #### Returns string

  Overrides AbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:5224